Bug 727999 - SELinux is preventing /usr/sbin/lircd from 'read' accesses on the directory devices.
Summary: SELinux is preventing /usr/sbin/lircd from 'read' accesses on the directory d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:dfab6e797c0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 21:31 UTC by Jan Willies
Modified: 2011-09-07 00:19 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-38.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:19:08 UTC


Attachments (Terms of Use)

Description Jan Willies 2011-08-03 21:31:09 UTC
SELinux is preventing /usr/sbin/lircd from 'read' accesses on the directory devices.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that lircd should be allowed read access on the devices directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep lircd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:lircd_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                devices [ dir ]
Source                        lircd
Source Path                   /usr/sbin/lircd
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           lirc-0.9.0-7.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul
                              29 18:46:53 UTC 2011 x86_64 x86_64
Alert Count                   17
First Seen                    Mi 03 Aug 2011 23:28:09 CEST
Last Seen                     Mi 03 Aug 2011 23:29:42 CEST
Local ID                      15bf5234-eb8f-44c6-b5c7-8c6fb5aaf376

Raw Audit Messages
type=AVC msg=audit(1312406982.815:209): avc:  denied  { read } for  pid=3644 comm="lircd" name="devices" dev=sysfs ino=2976 scontext=system_u:system_r:lircd_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=dir


type=SYSCALL msg=audit(1312406982.815:209): arch=x86_64 syscall=open success=no exit=EACCES a0=34aca0a490 a1=90800 a2=e27580 a3=7fff7d785ca0 items=0 ppid=1 pid=3644 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=lircd exe=/usr/sbin/lircd subj=system_u:system_r:lircd_t:s0 key=(null)

Hash: lircd,lircd_t,sysfs_t,dir,read

audit2allow

#============= lircd_t ==============
allow lircd_t sysfs_t:dir read;

audit2allow -R

#============= lircd_t ==============
allow lircd_t sysfs_t:dir read;

Comment 1 Miroslav Grepl 2011-08-04 08:39:53 UTC
Fixed in selinux-policy-3.9.7-44.fc14

Comment 2 Fedora Update System 2011-08-05 14:00:28 UTC
selinux-policy-3.9.16-37.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-37.fc15

Comment 3 Fedora Update System 2011-08-05 23:56:30 UTC
Package selinux-policy-3.9.16-37.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-37.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-37.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-12 18:20:36 UTC
Package selinux-policy-3.9.16-38.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-38.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-38.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-07 00:17:49 UTC
selinux-policy-3.9.16-38.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.